Subject: Re: [RESEND PATCH] arm64: tegra: Add support for Jetson Xavier NX

From: Thierry Reding <[email-masked]>
Date: Tue, 14 Jul 2020 11:17:20 +0200

On Mon, Jul 13, 2020 at 05:17:01PM +0100, Jon Hunter wrote:
> Add the device-tree source files for the Tegra194 Jetson Xavier NX
> Developer Kit. The Xavier NX Developer Kit consists of a small form
> factor system-on-module (SOM) board (part number p3668-0000) and a
> carrier board (part number p3509-0000).
> 
> The Xavier NX Developer Kit SOM features a micro-SD card slot,
> however, there is also a variant of the SOM available that features a
> 16GB eMMC. Given that the carrier board can be used with the different
> SOM variants, that have different part numbers, both the compatible
> string and file name of the device-tree source file for the Developer
> Kit is a concatenation of the SOM and carrier board part numbers.
> 
> This is based upon some initial work by Thierry Reding
> <[email-masked]>.
> 
> Signed-off-by: Jon Hunter <[email-masked]>
> ---
> 
> I have updated the author and given credit to Thierry for doing the
> initial work on the change.
> 
>  arch/arm64/boot/dts/nvidia/Makefile           |   1 +
>  .../nvidia/tegra194-p3509-0000+p3668-0000.dts | 343 ++++++++++++++++++
>  .../boot/dts/nvidia/tegra194-p3668-0000.dtsi  | 296 +++++++++++++++
>  3 files changed, 640 insertions(+)
>  create mode 100644 arch/arm64/boot/dts/nvidia/tegra194-p3509-0000+p3668-0000.dts
>  create mode 100644 arch/arm64/boot/dts/nvidia/tegra194-p3668-0000.dtsi

I need this patch to avoid an error being flagged by checkpatch:

--- >8 ---
diff --git a/Documentation/devicetree/bindings/arm/tegra.yaml b/Documentation/devicetree/bindings/arm/tegra.yaml
index 60b38eb5c61a..53845db64df1 100644
--- a/Documentation/devicetree/bindings/arm/tegra.yaml
+++ b/Documentation/devicetree/bindings/arm/tegra.yaml
@@ -101,3 +101,11 @@ properties:
           - enum:
               - nvidia,p2972-0000
           - const: nvidia,tegra194
+      - description: Jetson Xavier NX
+        items:
+          - const: nvidia,p3668-0000
+          - const: nvidia,tegra194
+      - description: Jetson Xavier NX Developer Kit
+        items:
+          - const: nvidia,p3509-0000+p3668-0000
+          - const: nvidia,tegra194
--- >8---

I'll submit that separately and have applied this one in the meantime.

Thanks,
Thierry
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel